<!doctype html>
<html lang="en">

<%-include('../../partials/header.ejs')%>

<body>
	

	<!-- WRAPPER -->
	<div id="wrapper">
		<!-- NAVBAR -->
		<%-include('../../partials/navbar.ejs')%>
		<!-- END NAVBAR -->
		
		<!-- LEFT SIDEBAR -->
		<%-include('../../partials/sidebar.ejs')%>
		<!-- END LEFT SIDEBAR -->
		<!-- MAIN -->
				<!-- MAIN -->
				
				<div class="main">
					<!-- MAIN CONTENT -->
					<div class="main-content">
						<div class="container-fluid">
							<!-- OVERVIEW -->
							<ul class="nav nav-tabs">
							  <li class="nav-item">
								<a class="nav-link " href="#data-barang" id="databarang">Data Barang</a>
							  </li>
							  <li class="nav-item">
								<a class="nav-link " href="#barang-masuk" id="barangmasuk" >Barang Masuk</a>
							  </li>
							  <li class="nav-item">
								<a class="nav-link " href="#barang-terjual" id="barangterjual">Barang Terjual</a>
							  </li>
							</ul>
							<!-- Data Barang -->
							<div class="panel panel-headline" id="data-barang">	
								<div class="panel-heading">
									<h3 class="panel-title">Data Barang</h3>
									<p class="panel-subtitle"></p>
									<a href="/portfolio/inventory/barang/tambah" class="btn btn-sm btn-primary d-inline" style="float: right;"><i class="fa fa-file"></i> Tambah</a>
								</div>
								<div class="col-md">
									<div class="panel-body"  >
										<div class="row">
											<div class="col-md">
												<table class="table table-hover col-md">
													<thead>
														<tr>
															<th>No</th>
															<th>Kode Barang</th>
															<th>Nama Barang</th>
															<th>Stok</th>
															<th>Harga</th>
															<th>Aksi</th>
														</tr>
													</thead>
													<tbody>
														<% let num=1; %>	
														<% barang.forEach(x => { %>
														<tr>
															<td><%= num++; %></td>
															<td><%= x.kode %></td>
															<td><%= x.nama_barang %></td>
															<td><%= x.stok %></td>
															<td>Rp. <%= x.harga %></td>
															
															<td>
																<a href="/portfolio/inventory/barang/edit/<%=x.id%>" class="btn btn-sm btn-warning">Edit</a>
																<form action="/portfolio/inventory/barang/hapus/<%=x.id%>?_method=delete" method="post" style="display: inline;">
																	<button onclick="return confirm(`Hapus?`)" class="btn btn-sm btn-danger">Hapus</button>
																</form>
															</td>
														</tr>
														<% }) %>
													</tbody>
												</table>
											</div>
										</div>
									</div>
								</div>
							</div>
							<!-- END Data barang -->

							<!-- Barang Masuk -->
							<div class="panel panel-headline" id="barang-masuk" style="display: none;">	
								<div class="panel-heading">
									<h3 class="panel-title">Data Barang Masuk</h3>
									<p class="panel-subtitle"></p>
									<a href="/portfolio/inventory/barang/masuk" class="btn btn-sm btn-primary d-inline" style="float: right;"><i class="fa fa-file"></i> Tambah</a>
								</div>
								<div class="panel-body"  >
									<div class="row">
										<div class="col-md">
											<table class="table table-hover">
												<thead>
													<tr>
														<th>No</th>
														<th>Tanggal</th>
														<th>Nama Barang</th>
														<th>Jumlah Barang</th>
														<th>Aksi</th>
													</tr>
												</thead>
												<tbody>
													<% let no=1; %>	
														<% barang_masuk.forEach(x => { %>
														<tr>
															<td><%= no++; %></td>
															<td><%= new Date(x.tanggal).toLocaleDateString().split("/").join("-") %></td>
															<td><%= x.nama_barang %></td>
															<td><%= x.jumlah_barang %></td>
															<td>
																<a href="/portfolio/inventory/barang-masuk/edit/<%=x.id%>" class="btn btn-sm btn-warning">Edit</a>
																<form action="/portfolio/inventory/barang-masuk/hapus/<%=x.id%>?_method=delete" method="post" style="display: inline;">
																	<input type="hidden" value="<%=x.kode_barang%>" name="kode_barang">
																	<input type="hidden" value="<%= x.jumlah_barang %>" name="jumlah_barang">
																	<button onclick="return confirm(`Hapus?`)" class="btn btn-sm btn-danger">Hapus</button>
																</form>
															</td>
														</tr>
														<% }) %>
												</tbody>
											</table>
										</div>
									</div>
								</div>
							</div>
							<!-- End barang masuk -->

							<!-- Barang Terjual -->
							<div class="panel panel-headline" id="barang-terjual" style="display:none;">	
								<div class="panel-heading">
									<h3 class="panel-title">Data Barang Terjual</h3>
									<p class="panel-subtitle"></p>
									<a href="/portfolio/inventory/transaksi" class="btn btn-sm btn-primary d-inline" style="float: right;"><i class="fa fa-file"></i> Tambah</a>
								</div>
								<div class="panel-body"  >
									<div class="row">
										<div class="col-md">
											<table class="table table-hover">
												<thead>
													<tr>
														<th>No</th>
														<th>Tanggal</th>
														<th>Nama Barang</th>
														<th>Jumlah Barang</th>
														<th>Aksi</th>
													</tr>
												</thead>
												<tbody>
													
												</tbody>
											</table>
										</div>
									</div>
								</div>
							</div>
							<!-- End barang terjual -->
							<!-- END OVERVIEW -->
						</div>
					</div>
					
					<!-- END MAIN CONTENT -->
				</div>
				<!-- END MAIN -->
				
				
				
				
				<%-include('../../partials/footer.ejs')%>
				
				
				<%if(sess.cookie === 'tambah'){ %>
				<script>	
					toastr.success('Have fun storming the castle!', 'Miracle Max Says') 
					</script>
				<%} %>
				
				
				<script>
					
					var dt_barang = $("#data-barang")
					var brng_masuk = $( "#barang-masuk" );
					var brng_terjual = $( "#barang-terjual" );
					
					$( "#databarang" ).on( "click", function( event ) {
						dt_barang.show();
						brng_masuk.hide();
						brng_terjual.hide();
					});
					$( "#barangmasuk" ).on( "click", function( event ) {
						brng_masuk.show();
						dt_barang.hide();
						brng_terjual.hide();
					});
					$( "#barangterjual" ).on( "click", function( event ) {
						brng_terjual.show();
						brng_masuk.hide();
						dt_barang.hide();
					});
				</script>
</body>
  
</html>
